/**************************************************************************//**
* @file          RZ_A1L_Init.h
* $Rev: 796 $
* $Date:: 2013-06-11 17:37:59 +0900#$
* @brief         RZ_A1L Initialize
******************************************************************************/

/* Copyright (C) 2013 Renesas Electronics Corporation. All rights reserved */

#ifndef RZ_A1L_INIT_H
#define RZ_A1L_INIT_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include <stdio.h>
#include <stdbool.h>
#include "iodefine.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */


/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
******************************************************************************/

void    RZ_A1L_SetSramWriteEnable(void);
void    RZ_A1L_InitClock(void);
int     RZ_A1L_IsClockMode0(void);
void    RZ_A1L_InitBus(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* RZ_A1L_INIT_H */
